Index: src/Jobs/Makefile.am
===================================================================
--- src/Jobs/Makefile.am	(revision 134f43305382e5e8c904311cde287a752200cb61)
+++ src/Jobs/Makefile.am	(revision 049d4a062a516272610064d56b90233235ec2ed0)
@@ -39,5 +39,4 @@
   $(JobMarket_LDFLAGS) \
   $(CodePatterns_LDFLAGS)
-libMolecuilderJobs_la_SOURCES = $(JOBSSOURCE)
 libMolecuilderJobs_la_LIBADD = \
   libMolecuilderFragmentationSummation.la
@@ -57,2 +56,38 @@
 endif
   
+## Define the source file list for the "libexample-@MOLECUILDER_API_VERSION@.la"
+## target.  Note that @MOLECUILDER_API_VERSION@ is not interpreted by Automake and
+## will therefore be treated as if it were literally part of the target name,
+## and the variable name derived from that.
+## The file extension .cc is recognized by Automake, and makes it produce
+## rules which invoke the C++ compiler to produce a libtool object file (.lo)
+## from each source file.  Note that it is not necessary to list header files
+## which are already listed elsewhere in a _HEADERS variable assignment.
+libMolecuilderJobs_la_SOURCES = $(JOBSSOURCE)
+
+## Instruct libtool to include ABI version information in the generated shared
+## library file (.so).  The library ABI version is defined in configure.ac, so
+## that all version information is kept in one place.
+libMolecuilderJobs_la_LDFLAGS += -version-info $(MOLECUILDER_SO_VERSION)
+
+## The generated configuration header is installed in its own subdirectory of
+## $(libdir).  The reason for this is that the configuration information put
+## into this header file describes the target platform the installed library
+## has been built for.  Thus the file must not be installed into a location
+## intended for architecture-independent files, as defined by the Filesystem
+## Hierarchy Standard (FHS).
+## The nodist_ prefix instructs Automake to not generate rules for including
+## the listed files in the distribution on 'make dist'.  Files that are listed
+## in _HEADERS variables are normally included in the distribution, but the
+## configuration header file is generated at configure time and should not be
+## shipped with the source tarball.
+libMolecuilderJobs_libincludedir = $(libdir)/MoleCuilder/include
+nodist_libMolecuilderJobs_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
+
+## Install the generated pkg-config file (.pc) into the expected location for
+## architecture-dependent package configuration information.  Occasionally,
+## pkg-config files are also used for architecture-independent data packages,
+## in which case the correct install location would be $(datadir)/pkgconfig.
+#pkgconfigdir = $(libdir)/pkgconfig
+#pkgconfig_DATA = $(top_builddir)/MoleCuilder.pc
+  
Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision 134f43305382e5e8c904311cde287a752200cb61)
+++ src/Makefile.am	(revision 049d4a062a516272610064d56b90233235ec2ed0)
@@ -312,8 +312,4 @@
 pyMoleCuilder_la_LIBADD = \
 	libMolecuilderUI.la
-if CONDJOBMARKET
-pyMoleCuilder_la_LIBADD += \
-	libMolecuilderJobs.la
-endif
 pyMoleCuilder_la_LIBADD += \
 	$(BOOST_PYTHON_LIBS) \
@@ -339,8 +335,4 @@
 molecuilder_LDADD = \
 	libMolecuilderUI.la
-if CONDJOBMARKET
-molecuilder_LDADD += \
-	libMolecuilderJobs.la
-endif
 molecuilder_LDADD += \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
@@ -382,8 +374,4 @@
 	libMolecuilderQtUI.la \
 	libMolecuilderUI.la
-if CONDJOBMARKET
-molecuildergui_LDADD += \
-	libMolecuilderJobs.la
-endif
 molecuildergui_LDADD += \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
@@ -460,8 +448,8 @@
 Controller_LDADD = \
 	libFragmentationAutomationController.la \
+	libMolecuilderFragmentation_getFromKeysetStub.la \
+	libMolecuilderFragmentation.la \
 	libMolecuilderJobs.la \
 	libMolecuilderFragmentationSummation.la \
-	libMolecuilderFragmentation_getFromKeysetStub.la \
-	libMolecuilderFragmentation.la \
 	libMolecuilderFragmentation_KeysetsContainer.la \
 	libMolecuilderHelpers.la \
Index: src/UIElements/Makefile.am
===================================================================
--- src/UIElements/Makefile.am	(revision 134f43305382e5e8c904311cde287a752200cb61)
+++ src/UIElements/Makefile.am	(revision 049d4a062a516272610064d56b90233235ec2ed0)
@@ -246,7 +246,15 @@
 	libMolecuilderFilling.la \
 	libMolecuilder.la \
+	libMolecuilderFragmentationAutomation.la \
+	libMolecuilderFragmentation_getFromKeyset.la \
+	libMolecuilderFragmentation.la
+if CONDJOBMARKET
+libMolecuilderUI_la_LIBADD += \
+	libMolecuilderJobs.la \
+	${JobMarket_Controller_LIBS}
+endif
+libMolecuilderUI_la_LIBADD += \
+	libMolecuilderFragmentationSummation.la \
 	libMolecuilderFragmentation_KeysetsContainer.la \
-	libMolecuilderFragmentation_getFromKeyset.la \
-	libMolecuilderFragmentation.la \
 	libMolecuilderParser.la \
 	libMolecuilderParameters.la \
@@ -258,13 +266,5 @@
 	libMolecuilderRandomNumbers.la \
 	libMolecuilderPotentials.la \
-	libMolecuilderFunctionApproximation.la
-if CONDJOBMARKET
-libMolecuilderUI_la_LIBADD += \
-	libMolecuilderJobs.la \
-	${JobMarket_Controller_LIBS} \
-	libMolecuilderFragmentationAutomation.la
-endif
-libMolecuilderUI_la_LIBADD += \
-	libMolecuilderFragmentationSummation.la \
+	libMolecuilderFunctionApproximation.la \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	${CodePatterns_LIBS} \
